describe('Instruments Page', () => {
  beforeEach(() => {
    cy.setup();
  });

  it('opens the instruments page', () => {
    cy.mockGraphqlOps({
      operations: {
        MeQuery: {},
        InstrumentQuery: {
          instrument: {
            title: 'A Guitar',
            intro: 'Money for Nothing',
            contents: '',
            //   id: ID!
            //   bookmarks: [InstrumentBookmarkNode]
            //   type: InstrumentTypeNode
          },
        },
      },
    });
    cy.visit('instrument/blabliblablub');

    cy.getByDataCy('instrument-title').should('exist').should('contain', 'A Guitar');
    cy.getByDataCy('instrument-intro').should('exist').should('contain', 'Money for Nothing');
  });
});
